__gnu_cxx::malloc_allocator< _Tp >(3cxx)

NAME
__gnu_cxx::malloc_allocator< _Tp > - An allocator that uses malloc.

SYNOPSIS

  Public Types

typedef std::ptrdiff_t difference_type
typedef std::true_type propagate_on_container_move_assignment
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions

constexpr malloc_allocator (const malloc_allocator &) noexcept
template<typename _Tp1 > constexpr malloc_allocator (const malloc_allocator< _Tp1 > &) noexcept
_Tp * allocate (size_type __n, const void *=0)
void deallocate (_Tp *__p, size_type)

  Friends

template<typename _Up > constexpr friend bool operator== (const malloc_allocator &, const malloc_allocator< _Up > &) noexcept

Detailed Description

  template<typename _Tp>
class __gnu_cxx::malloc_allocator< _Tp >" An allocator that uses malloc.

This is precisely the allocator defined in the C++ Standard.

•   all allocation calls malloc

•   all deallocation calls free

Author

Generated automatically by Doxygen for libstdc++ from the source code.